From: jbrassow@sourceware.org <jbrassow@sourceware.org>
To: cluster-devel.redhat.com
Subject: [Cluster-devel] cluster/rgmanager/src/resources lvm_by_lv.sh
Date: 4 Jan 2008 20:02:51 -0000 [thread overview]
Message-ID: <20080104200251.25036.qmail@sourceware.org> (raw)
CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL5
Changes by: jbrassow at sourceware.org 2008-01-04 20:02:50
Modified files:
rgmanager/src/resources: lvm_by_lv.sh
Log message:
- a regression... When tagging at the LV-level, the script should complain
if there is more than one LV / VG.
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_lv.sh.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.1.4.1&r2=1.1.4.2
--- cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/03 20:45:37 1.1.4.1
+++ cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/04 20:02:50 1.1.4.2
@@ -314,6 +314,18 @@
function lv_start
{
+ if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+ lv_count=0
+ else
+ lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+ fi
+ if [ $lv_count -gt 1 ]; then
+ ocf_log err "HA LVM requires Only one logical volume per volume group."
+ ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+ ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+ exit $OCF_ERR_GENERIC
+ fi
+
if ! lv_activate start; then
return 1
fi
next reply other threads:[~2008-01-04 20:02 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2008-01-04 20:02 jbrassow [this message]
-- strict thread matches above, loose matches on Subject: below --
2008-01-04 20:02 [Cluster-devel] cluster/rgmanager/src/resources lvm_by_lv.sh jbrassow
2008-01-04 20:01 jbrassow
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20080104200251.25036.qmail@sourceware.org \
--to=jbrassow@sourceware.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox